Bug 733694 - [abrt] cinepaint-libs-0.25.0-0.1.fc15: __GI_raise: Process /usr/lib64/cinepaint/0.25.0/plug-ins/jpeg was killed by signal 6 (SIGABRT)
Summary: [abrt] cinepaint-libs-0.25.0-0.1.fc15: __GI_raise: Process /usr/lib64/cinepai...
Keywords:
Status: CLOSED DUPLICATE of bug 698904
Alias: None
Product: Fedora
Classification: Fedora
Component: cinepaint
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2f68cdda349ac8c6c7dabdc8ed4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 14:15 UTC by Roman Melihhov
Modified: 2012-03-21 16:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 16:53:16 UTC


Attachments (Terms of Use)
File: maps (22.06 KB, text/plain)
2011-08-26 14:15 UTC, Roman Melihhov
no flags Details
File: backtrace (15.20 KB, text/plain)
2012-01-17 16:36 UTC, tux.total.kaputt
no flags Details
File: backtrace (16.79 KB, text/plain)
2012-02-11 01:10 UTC, Dariusz Garbowski
no flags Details

Description Roman Melihhov 2011-08-26 14:15:52 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/lib64/cinepaint/0.25.0/plug-ins/jpeg -gimp 12 10 64 64
comment:        trying to open jpeg image
component:      cinepaint
crash_function: __GI_raise
executable:     /usr/lib64/cinepaint/0.25.0/plug-ins/jpeg
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        cinepaint-libs-0.25.0-0.1.fc15
reason:         Process /usr/lib64/cinepaint/0.25.0/plug-ins/jpeg was killed by signal 6 (SIGABRT)
time:           Fri Aug 26 17:13:20 2011
uid:            500
username:       roman

maps:           Text file, 22586 bytes

backtrace:
:[New LWP 6171]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/lib64/cinepaint/0.25.0/plug-ins/jpeg -gimp 12 10 64 64'.
:Program terminated with signal 6, Aborted.
:#0  0x00000038f9e352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
:	in ../nptl/sysdeps/unix/sysv/linux/raise.c
:
:Thread 1 (Thread 0x7f80825d49c0 (LWP 6171)):
:#0  0x00000038f9e352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = 6171
:#1  0x00000038f9e36beb in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x7fff1a81538f, sa_sigaction = 0x7fff1a81538f}, sa_mask = {__val = {0, 0, 0, 0, 0, 17179869185, 140189919746760, 140733638049792, 0, 140733638071440, 140733638071424, 140733638071880, 244740039147, 2, 2, 140733638070160}}, sa_flags = -73095554, sa_restorer = 0x722820524f525245}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x00000038fba4b5ee in g_logv (log_domain=0x0, log_level=<optimized out>, format=0x3e260346f8 "ERROR: gp_proc_run_write failed", args1=0x7fff1a8153e8) at gmessages.c:557
:        depth = <optimized out>
:        domain = 0x0
:        data = 0x0
:        log_func = 0x38fba4a540 <_g_log_fallback_handler>
:        domain_fatal_mask = <optimized out>
:        masquerade_fatal = <optimized out>
:        test_level = <optimized out>
:        was_fatal = 0
:        was_recursion = 0
:        i = <optimized out>
:#3  0x00000038fba4b682 in g_log (log_domain=<optimized out>, log_level=<optimized out>, format=<optimized out>) at gmessages.c:577
:        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff1a8154c0, reg_save_area = 0x7fff1a815400}}
:#4  0x0000003e260210d8 in gimp_run_procedure (name=0x3e26034411 "gimp_message", nreturn_vals=0x7fff1a8155dc) at plugin_main.c:827
:        proc_run = {name = 0x3e26034411 "gimp_message", nparams = 1, params = 0x9034d0}
:        proc_return = <optimized out>
:        msg = {type = 0, data = 0x0}
:        param_type = <optimized out>
:        return_vals = <optimized out>
:        args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff1a8155d0, reg_save_area = 0x7fff1a815500}}
:        color = <optimized out>
:        i = <optimized out>
:#5  0x0000003e26021a75 in gimp_message (message=<optimized out>) at plugin_main.c:351
:        return_vals = <optimized out>
:        nreturn_vals = 0
:#6  0x00000038fba4b2ca in g_logv (log_domain=0x0, log_level=<optimized out>, format=0x3e26034304 "ERROR: wire_read_msg failed", args1=0x7fff1a815ab8) at gmessages.c:527
:        msg = <optimized out>
:        args2 = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff1a815b90, reg_save_area = 0x7fff1a815ad0}}
:        depth = <optimized out>
:        domain = 0x0
:        data = 0x0
:        log_func = 0x3e26021a90 <gimp_message_func>
:        domain_fatal_mask = <optimized out>
:        masquerade_fatal = 0
:        test_level = 6
:        was_fatal = 0
:        was_recursion = 0
:        i = <optimized out>
:#7  0x00000038fba4b682 in g_log (log_domain=<optimized out>, log_level=<optimized out>, format=<optimized out>) at gmessages.c:577
:        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff1a815b90, reg_save_area = 0x7fff1a815ad0}}
:#8  0x0000003e2602128f in gimp_run_procedure (name=0x3e26033668 "gimp_image_new", nreturn_vals=0x7fff1a815ccc) at plugin_main.c:832
:        proc_run = {name = 0x3e26033668 "gimp_image_new", nparams = 3, params = 0x903430}
:        proc_return = <optimized out>
:        msg = {type = 444685648, data = 0x1}
:        param_type = <optimized out>
:        return_vals = <optimized out>
:        args = {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fff1a815cb0, reg_save_area = 0x7fff1a815bd0}}
:        color = <optimized out>
:        i = <optimized out>
:#9  0x0000003e2601b6fa in gimp_image_new (width=<optimized out>, height=<optimized out>, type=<optimized out>) at image.c:32
:        return_vals = <optimized out>
:        nreturn_vals = 56
:        image_ID = <optimized out>
:#10 0x00000000004038e3 in load_image (filename=0x9030f0 "/home/roman/Pictures/2011-08-24/IMGP0749201102011.jpg") at jpeg.c:422
:        pixel_rgn = {data = 0x0, drawable = 0x100882ac0, bpp = 0, rowstride = 0, x = 4234205697, y = 56, w = 101, h = 0, dirty = 0, shadow = 0, process_count = 0}
:        drawable = <optimized out>
:        image_ID = -1
:        layer_ID = <optimized out>
:        cinfo = {err = 0x7fff1a815fd0, mem = 0x9037a0, progress = 0x0, client_data = 0x0, is_decompressor = 1, global_state = 205, src = 0x9039b0, image_width = 4950, image_height = 3284, num_components = 3, jpeg_color_space = JCS_YCbCr, out_color_space = JCS_RGB, scale_num = 1, scale_denom = 1, output_gamma = 1, buffered_image = 0, raw_data_out = 0, dct_method = JDCT_ISLOW, do_fancy_upsampling = 1, do_block_smoothing = 1, quantize_colors = 0, dither_mode = JDITHER_FS, two_pass_quantize = 1, desired_number_of_colors = 256, enable_1pass_quant = 0, enable_external_quant = 0, enable_2pass_quant = 0, output_width = 4950, output_height = 3284, out_color_components = 3, output_components = 3, rec_outbuf_height = 1, actual_number_of_colors = 0, colormap = 0x0, output_scanline = 0, input_scan_number = 10, input_iMCU_row = 411, output_scan_number = 10, output_iMCU_row = 0, coef_bits = 0x90b070, quant_tbl_ptrs = {0x903a00, 0x903a90, 0x0, 0x0}, dc_huff_tbl_ptrs = {0x903b20, 0x903c40, 0x0, 0x0}, ac_huff_tbl_ptrs = {0x903d60, 0x903e80, 0x0, 0x0}, data_precision = 8, comp_info = 0x90a450, progressive_mode = 1, arith_code = 0, arith_dc_L = '\000' <repeats 15 times>, arith_dc_U = '\001' <repeats 16 times>, arith_ac_K = '\005' <repeats 16 times>, restart_interval = 0, saw_JFIF_marker = 1, JFIF_major_version = 1 '\001', JFIF_minor_version = 1 '\001', density_unit = 0 '\000', X_density = 1, Y_density = 1, saw_Adobe_marker = 0, Adobe_transform = 0 '\000', CCIR601_sampling = 0, marker_list = 0x903710, max_h_samp_factor = 1, max_v_samp_factor = 1, min_DCT_scaled_size = 8, total_iMCU_rows = 411, sample_range_limit = 0x90a6a0 "", comps_in_scan = 1, cur_comp_info = {0x90a450, 0x90a4b0, 0x90a510, 0x0}, MCUs_per_row = 619, MCU_rows_in_scan = 411, blocks_in_MCU = 1, MCU_membership = {0, 1, 2, 0, 0, 0, 0, 0, 0, 0}, Ss = 1, Se = 63, Ah = 1, Al = 0, unread_marker = 0, master = 0x90a570, main = 0x90b6c0, coef = 0x90b370, post = 0x90ac50, inputctl = 0x903980, marker = 0x903870, entropy = 0x90b000, idct = 0x90ac80, upsample = 0x90ab50, cconvert = 0x90ab20, cquantize = 0x0}
:        jerr = {pub = {error_exit = 0x403c50 <my_error_exit>, emit_message = 0x390ca203f0 <emit_message>, output_message = 0x390ca20580 <output_message>, format_message = 0x390ca20460 <format_message>, reset_error_mgr = 0x390ca20440 <reset_error_mgr>, msg_code = 87, msg_parm = {i = {1, 63, 1, 0, 1, 1, 0, 0}, s = "\001\000\000\000?\000\000\000\001\000\000\000\000\000\000\000\001\000\000\000\001", '\000' <repeats 15 times>"\240, \066\031\372\070\000\000\000\r\000\000\000\000\000\000\000P1\220\000\000\000\000\000\020\267\342\371\070", '\000' <repeats 11 times>"\200, \000\210"}, trace_level = 0, num_warnings = 0, jpeg_message_table = 0x390cc3b040, last_jpeg_message = 126, addon_message_table = 0x0, first_addon_message = 0, last_addon_message = 0}, setjmp_buffer = {{__jmpbuf = {9450544, 7863217546893301944, 9449680, 3, 140733638082395, 140733638075024, 7863217547909896376, -7862731688739104584}, __mask_was_saved = 0, __saved_mask = {__val = {8912704, 244714131936, 46, 0, 244714147344, 8912512, 21, 244714131936, 22, 9449680, 3, 140733638082395, 140733638075024, 244710877952, 4215125, 22}}}}}
:        infile = 0x9031f0
:        buf = 0x7f80758ff010 ""
:        rowbuf = 0x92ce80
:        name = 0x92ce80 "\020\360\217u\200\177"
:        image_type = <optimized out>
:        layer_type = <optimized out>
:        tile_height = 64
:        scanlines = <optimized out>
:        i = <optimized out>
:        start = <optimized out>
:        end = <optimized out>
:        __func__ = "load_image"
:#11 0x0000000000404599 in run (name=<optimized out>, nparams=3, param=0x903060, nreturn_vals=0x7fff1a81629c, return_vals=0x7fff1a816290) at jpeg.c:183
:        values = {{type = GIMP_PDB_STATUS, data = {d_int32 = 1, d_int16 = 1, d_int8 = 1 '\001', d_float = 4.9406564584124654e-324, d_string = 0x1 <Address 0x1 out of bounds>, d_int32array = 0x1, d_int16array = 0x1, d_int8array = 0x1 <Address 0x1 out of bounds>, d_floatarray = 0x1, d_stringarray = 0x1, d_color = {red = 1 '\001', green = 0 '\000', blue = 0 '\000'}, d_region = {x = 1, y = 0, width = 0, height = 0}, d_display = 1, d_image = 1, d_layer = 1, d_layer_mask = 1, d_channel = 1, d_drawable = 1, d_selection = 1, d_boundary = 1, d_path = 1, d_unit = 1, d_status = 1}}, {type = GIMP_PDB_INT32, data = {d_int32 = 0, d_int16 = 0, d_int8 = 0 '\000', d_float = 0, d_string = 0x0, d_int32array = 0x0, d_int16array = 0x0, d_int8array = 0x0, d_floatarray = 0x0, d_stringarray = 0x0, d_color = {red = 0 '\000', green = 0 '\000', blue = 0 '\000'}, d_region = {x = 0, y = 0, width = 0, height = 0}, d_display = 0, d_image = 0, d_layer = 0, d_layer_mask = 0, d_channel = 0, d_drawable = 0, d_selection = 0, d_boundary = 0, d_path = 0, d_unit = 0, d_status = 0}}}
:        run_mode = <optimized out>
:        status = GIMP_PDB_SUCCESS
:        image_ID = <optimized out>
:#12 0x0000003e26020ad5 in gimp_proc_run (proc_run=0x9030b0) at plugin_main.c:1147
:        proc_return = {name = 0x39068f2758 "@0\217\006\071", nparams = 4214704, params = 0x0}
:        return_vals = <optimized out>
:        nreturn_vals = <optimized out>
:#13 gimp_loop () at plugin_main.c:1076
:        msg = {type = 6, data = 0x9030b0}
:#14 gimp_main_ (argv=<optimized out>, argc=<optimized out>) at plugin_main.c:278
:No locals.
:#15 plugin_main (argc_=<optimized out>, argv_=<optimized out>, p=<optimized out>) at plugin_main.c:175
:        __func__ = "plugin_main"
:#16 0x00000038f9e2139d in __libc_start_main (main=0x402fc0 <main>, argc=6, ubp_av=0x7fff1a8163a8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff1a816398) at libc-start.c:226
:        result = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -7862731137397188424, 4206588, 140733638075296, 0, 0, 7863217546901166264, -7885798050160338760}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x7fff1a8163e0, 0x1}, data = {prev = 0x0, cleanup = 0x0, canceltype = 444687328}}}
:        not_first_call = <optimized out>
:#17 0x0000000000403025 in _start ()
:No symbol table info available.
:From                To                  Syms Read   Shared Object Library
:0x0000003e26016930  0x0000003e2602becc  Yes         /usr/lib64/libcinepaint.so.0
:0x0000003e25c00a20  0x0000003e25c00f9c  Yes         /usr/lib64/libcinepaintHalf.so.0
:0x0000003e250697f0  0x0000003e2530ea9c  Yes         /usr/lib64/libgtk-x11-2.0.so.0
:0x0000003e2581e760  0x0000003e25881b5c  Yes         /usr/lib64/libgdk-x11-2.0.so.0
:0x0000003901e097b0  0x0000003901e156bc  Yes         /usr/lib64/libatk-1.0.so.0
:0x00000038fd2294a0  0x00000038fd2d2b3c  Yes         /lib64/libgio-2.0.so.0
:0x0000003900e076f0  0x0000003900e2131c  Yes         /usr/lib64/libpangoft2-1.0.so.0
:0x0000003900204940  0x000000390020935c  Yes         /usr/lib64/libpangocairo-1.0.so.0
:0x0000003902606290  0x0000003902619c9c  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0
:0x00000038fea04890  0x00000038fea1eb8c  Yes         /usr/lib64/libpng12.so.0
:0x00000038fae03ea0  0x00000038fae43e9c  Yes         /lib64/libm.so.6
:0x0000003901a0b170  0x0000003901a82a9c  Yes         /usr/lib64/libcairo.so.2
:0x0000003900a0ee20  0x0000003900a2cb1c  Yes         /usr/lib64/libpango-1.0.so.0
:0x00000038fee0c970  0x00000038fee7391c  Yes         /usr/lib64/libfreetype.so.6
:0x00000038ffa05d90  0x00000038ffa1f7fc  Yes         /usr/lib64/libfontconfig.so.1
:0x00000038fc609970  0x00000038fc639dcc  Yes         /lib64/libgobject-2.0.so.0
:0x00000038fce00fe0  0x00000038fce01f8c  Yes         /lib64/libgmodule-2.0.so.0
:0x00000038fc201560  0x00000038fc202a2c  Yes         /lib64/libgthread-2.0.so.0
:0x00000038faa02160  0x00000038faa053ec  Yes         /lib64/librt.so.1
:0x00000038fba16cd0  0x00000038fbaadbec  Yes         /lib64/libglib-2.0.so.0
:0x00000031d1614200  0x00000031d168fb9c  Yes         /usr/lib64/liboyranos.so.0
:0x00000031d12047e0  0x00000031d120bb4c  Yes         /usr/lib64/libelektra.so.3
:0x0000003904a2c960  0x0000003904b1007c  Yes         /usr/lib64/libxml2.so.2
:0x0000003906a074d0  0x0000003906a2b1cc  Yes         /usr/lib64/liblcms.so.1
:0x000000390ca03c60  0x000000390ca3283c  Yes         /usr/lib64/libjpeg.so.62
:0x00000038f9e1ece0  0x00000038f9f4338c  Yes         /lib64/libc.so.6
:0x00000038fa205660  0x00000038fa2103cc  Yes         /lib64/libpthread.so.0
:0x000000390665a400  0x00000039066c308a  Yes         /usr/lib64/libstdc++.so.6
:0x00000038fde1dce0  0x00000038fdea97ec  Yes         /usr/lib64/libX11.so.6
:0x00000039012013e0  0x000000390120450c  Yes         /usr/lib64/libXfixes.so.3
:0x00000038fe603460  0x00000038fe60e31c  Yes         /usr/lib64/libXext.so.6
:0x00000038ff601910  0x00000038ff60810c  Yes         /usr/lib64/libXrender.so.1
:0x0000003901600a00  0x000000390160148c  Yes         /usr/lib64/libXinerama.so.1
:0x00000038ff201f00  0x00000038ff20c57c  Yes         /usr/lib64/libXi.so.6
:0x0000003902e01720  0x0000003902e0675c  Yes         /usr/lib64/libXrandr.so.2
:0x0000003902a028d0  0x0000003902a0749c  Yes         /usr/lib64/libXcursor.so.1
:0x00000038ffe00b30  0x00000038ffe0189c  Yes         /usr/lib64/libXcomposite.so.1
:0x0000003900600a90  0x000000390060160c  Yes         /usr/lib64/libXdamage.so.1
:0x00000038fa600de0  0x00000038fa60191c  Yes         /lib64/libdl.so.2
:0x00000038fca03840  0x00000038fca1353c  Yes         /lib64/libresolv.so.2
:0x00000038fbe01e70  0x00000038fbe0e67c  Yes         /lib64/libz.so.1
:0x00000038fb205980  0x00000038fb2159dc  Yes         /lib64/libselinux.so.1
:0x0000003902207e10  0x000000390225c0ac  Yes         /usr/lib64/libpixman-1.so.0
:0x00000038fe203b70  0x00000038fe21d84c  Yes         /lib64/libexpat.so.1
:0x00000038f9a00b20  0x00000038f9a18cca  Yes         /lib64/ld-linux-x86-64.so.2
:0x0000003903203550  0x0000003903209fec  Yes         /usr/lib64/libgomp.so.1
:0x000000390ce02360  0x000000390ce0669c  Yes         /usr/lib64/libltdl.so.7
:0x00000038fb6028a0  0x00000038fb6120cc  Yes         /lib64/libgcc_s.so.1
:0x00000038fda08660  0x00000038fda13b9c  Yes         /usr/lib64/libxcb.so.1
:0x00000038fd600dd0  0x00000038fd601b2c  Yes         /usr/lib64/libXau.so.6
:0x00007f807bf8c170  0x00007f807bf938ac  Yes         /lib64/libnss_files.so.2
:0x00007f807bd64a90  0x00007f807bd8505c  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
:0x00007f807bb5f690  0x00007f807bb5fe8c  Yes         /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
:0x000000390620a400  0x000000390621c51c  Yes         /usr/lib64/libdbus-glib-1.so.2
:0x00007f807b9216f0  0x00007f807b94a51c  Yes         /lib64/libdbus-1.so.3
:0x00007f807b716fc0  0x00007f807b718f3c  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
:0x0000003e26c01c70  0x0000003e26c0308c  Yes         /usr/lib64/libcanberra-gtk.so.0
:0x000000390e2032a0  0x000000390e20c41c  Yes         /usr/lib64/libcanberra.so.0
:0x000000390da01fa0  0x000000390da0611c  Yes         /usr/lib64/libvorbisfile.so.3
:0x000000390b603700  0x000000390b61a6ac  Yes         /usr/lib64/libvorbis.so.0
:0x000000390b2018d0  0x000000390b203f7c  Yes         /usr/lib64/libogg.so.0
:0x000000390d602350  0x000000390d60b7dc  Yes         /usr/lib64/libtdb.so.1
:0x0000003904200c10  0x0000003904205afc  Yes         /lib64/libcrypt.so.1
:0x0000003904603170  0x00000039046417bc  Yes         /lib64/libfreebl3.so
:$1 = 0x0
:$2 = 0x0
:rax            0x0	0
:rbx            0x2	2
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x181b	6171
:rdi            0x181b	6171
:rbp            0x2	0x2
:rsp            0x7fff1a814de8	0x7fff1a814de8
:r8             0x4	4
:r9             0x7fff1a814ebf	140733638069951
:r10            0x8	8
:r11            0x206	518
:r12            0x4	4
:r13            0x7fff1a8153e8	140733638071272
:r14            0x1	1
:r15            0x38fbd164c0	244742972608
:rip            0x38f9e352d5	0x38f9e352d5 <__GI_raise+53>
:eflags         0x206	[ PF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x00000038f9e352a0 <+0>:	mov    %fs:0x2d4,%eax
:   0x00000038f9e352a8 <+8>:	mov    %fs:0x2d0,%esi
:   0x00000038f9e352b0 <+16>:	test   %esi,%esi
:   0x00000038f9e352b2 <+18>:	jne    0x38f9e352e0 <__GI_raise+64>
:   0x00000038f9e352b4 <+20>:	mov    $0xba,%eax
:   0x00000038f9e352b9 <+25>:	syscall 
:   0x00000038f9e352bb <+27>:	mov    %eax,%esi
:   0x00000038f9e352bd <+29>:	mov    %eax,%fs:0x2d0
:   0x00000038f9e352c5 <+37>:	movslq %edi,%rdx
:   0x00000038f9e352c8 <+40>:	movslq %esi,%rsi
:   0x00000038f9e352cb <+43>:	movslq %eax,%rdi
:   0x00000038f9e352ce <+46>:	mov    $0xea,%eax
:   0x00000038f9e352d3 <+51>:	syscall 
:=> 0x00000038f9e352d5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x00000038f9e352db <+59>:	ja     0x38f9e352ef <__GI_raise+79>
:   0x00000038f9e352dd <+61>:	repz retq 
:   0x00000038f9e352df <+63>:	nop
:   0x00000038f9e352e0 <+64>:	test   %eax,%eax
:   0x00000038f9e352e2 <+66>:	jg     0x38f9e352c5 <__GI_raise+37>
:   0x00000038f9e352e4 <+68>:	test   $0x7fffffff,%eax
:   0x00000038f9e352e9 <+73>:	je     0x38f9e35300 <__GI_raise+96>
:   0x00000038f9e352eb <+75>:	neg    %eax
:   0x00000038f9e352ed <+77>:	jmp    0x38f9e352c5 <__GI_raise+37>
:   0x00000038f9e352ef <+79>:	mov    0x35dcb2(%rip),%rdx        # 0x38fa192fa8
:   0x00000038f9e352f6 <+86>:	neg    %eax
:   0x00000038f9e352f8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x00000038f9e352fb <+91>:	or     $0xffffffffffffffff,%rax
:   0x00000038f9e352ff <+95>:	retq   
:   0x00000038f9e35300 <+96>:	mov    %esi,%eax
:   0x00000038f9e35302 <+98>:	jmp    0x38f9e352c5 <__GI_raise+37>
:End of assembler dump.

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:647a716e86c4da3cd24540bdd33f4423219be992
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:08bad10bf66ebe542324b597d6ee310019929249
:9cd020ec2107c08febe2c8fcabd158212c207854
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:90fe13fac734263f663981ce4d1691cf926ced25
:087f3b383512e5ebb6de228c20a0074c908be719
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:585e18f56063dab8934660820f0c63765c6c1a1f
:aaf62304b0fc10611d35b4f56005479d4c58868d
:d259f77e246b7dde5797633a40e4a655375f9b97
:4953d1f613914126bccceb3cb96386647ffba9df
:da8f41a866880563b634063df02bf4d608745ff4
:0911ea7c180d733724f89037b8e8a34e64024aec
:6e7d3edc38bf427fb8cb8dd115b5e23b5b1b1854
:634eca0cadcf35206919dd5e6a8e2e8601276947
:48aea888319e1848137073c9cbde54a4c2a731c9
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:e59efa5b1f62a6d059e6a5058163536a986b5795
:4c842320387ff7f6f91b7842b223c16518be909f
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:1c6a95451ee19617be5abea3d121f0226d21ddda
:97f6afc75df413f22c8aa0a51c388a93ae0c88a4
:fdc09328fea3e060c8a504a8291555b4cd19172a
:3cb38edbc184347a707c6c431ca50085bbd5228a
:264bfd9d45950be27417615f22a11928f979af89
:1d87720659528ad80e8870da2b2bb4af4470cf66
:dbe26f191fd371706b2dda27896aa30a5b22dde9
:17b2972951111174384de7b8cf2e7c2dd2610dc1
:91689252818532ec13597b6528d38be93b2706c4
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:5e7c7237a025f271e5ed1418cb23420764b09725
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:1b685597b012d81c2aa04b9468a9eb528f0a1783
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:430727f8c2266b98bd2cad149c613766e50fb5d9
:3efa90a1dfea76e986419cc678c07b368c6afde2
:876e109b32b4120f117901480512f2714d629558
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:23b6792e3218744316fd495002f40a037c2e0095
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:189c7475c0490584f314acd7377d00adc0fc2b1a
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:4ead7e31a3a01781151307f8a41645f011bcb498
:90cb21703f57809b0c613d25c0a96f5fab2ff064
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libcinepaint.so.0.0.25 cinepaint-libs-0.25.0-0.1.fc15.x86_64 (Fedora Project) 1314258449
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305315725
:/lib64/libcrypt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314203224
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305315781
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.9-7.fc15.x86_64 (Fedora Project) 1305315716
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1314202315
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314203224
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314203224
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1314203246
:/usr/lib64/libgomp.so.1.0.0 libgomp-4.6.0-10.fc15.x86_64 (Fedora Project) 1314203632
:/usr/lib64/cinepaint/0.25.0/plug-ins/jpeg cinepaint-libs-0.25.0-0.1.fc15.x86_64 (Fedora Project) 1314258449
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1305315724
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-1.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1314202303
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1314203227
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1305315789
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1314203191
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1305315740
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1305315778
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314203224
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1305315789
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1305315778
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1314203227
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1305315724
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1305315792
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.x86_64 (Fedora Project) 1305315722
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1314202296
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1305315778
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314203224
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314203224
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1314203227
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1314202302
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305315781
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1305315778
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314203224
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314203224
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314203224
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/liboyranos.so.0.2.0 oyranos-libs-0.2.0-3.fc15.x86_64 (Fedora Project) 1314219272
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1305315723
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1314203227
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1314203246
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-1.fc15.x86_64 (Fedora Project) 1314203234
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1314203230
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.17-1.fc15.x86_64 (Fedora Project) 1314203619
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305315781
:/usr/lib64/libcinepaintHalf.so.0.0.25 cinepaint-libs-0.25.0-0.1.fc15.x86_64 (Fedora Project) 1314258449
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1305315722
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.x86_64 (Fedora Project) 1314202304
:/usr/lib64/libelektra.so.3.0.0 elektra-0.7.0-6.fc15.x86_64 (Fedora Project) 1314219270
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1305315724
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1314203243
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1314203219
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1314203227
:/usr/lib64/liblcms.so.1.0.19 lcms-libs-1.19-4.fc15.x86_64 (Fedora Project) 1305315727

environ:
:XDG_SESSION_ID=1
:HOSTNAME=desk.blakout.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=b23b880cce424010b19caa630000000d-1314361594.57540-2930263
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-YX4ADO
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=roman
:USERNAME=roman
:MAIL=/var/spool/mail/roman
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/roman/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/roman
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1547
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/roman
:SHLVL=1
:LOGNAME=roman
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Q9jckj1Xft,guid=62fab78fd4c4132453311f7a0000002c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/roman
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-roman-7e2OpH/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1555,unix/unix:/tmp/.ICE-unix/1555
:ORBIT_SOCKETDIR=/tmp/orbit-roman
:SSH_AUTH_SOCK=/tmp/keyring-YX4ADO/ssh
:GPG_AGENT_INFO=/tmp/keyring-YX4ADO/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-cinepaint.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=6164
:TEXTDOMAINDIR=/usr/share/locale
:NLSPATH=/usr/share/locale
:PYTHONPATH=/usr/lib/python2.7/site-packages
:'@\xa8\x1c\x01'
:LC_NUMERIC=en_US.utf8

event_log:
:2011-08-26-17:13:51> Element 'xsession_errors' saved
:2011-08-26-17:14:02> Analyzing coredump 'coredump'
:2011-08-26-17:14:04  Coredump references 65 debuginfo files, 9 of them are not installed
:2011-08-26-17:14:14  Looking for needed packages in repositories
:2011-08-26-17:14:18  Packages to download: 6
:2011-08-26-17:14:18  Downloading 14.81Mb, installed size: 72.86Mb
:2011-08-26-17:14:28  Downloading (1 of 6) gtk2-debuginfo-2.24.4-2.fc15.x86_64.rpm:  32%
:2011-08-26-17:14:38  Downloading (1 of 6) gtk2-debuginfo-2.24.4-2.fc15.x86_64.rpm:  62%
:2011-08-26-17:14:49  Downloading (1 of 6) gtk2-debuginfo-2.24.4-2.fc15.x86_64.rpm:  93%
:2011-08-26-17:14:51  Downloading (1 of 6) gtk2-debuginfo-2.24.4-2.fc15.x86_64.rpm: 100%
:2011-08-26-17:14:51  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-08-26-17:14:02.6199/gtk2-debuginfo-2.24.4-2.fc15.x86_64.rpm
:2011-08-26-17:14:52  Caching files from unpacked.cpio made from gtk2-debuginfo-2.24.4-2.fc15.x86_64.rpm
:2011-08-26-17:14:54  Downloading (2 of 6) gtk2-engines-debuginfo-2.20.2-2.fc15.x86_64.rpm: 100%
:2011-08-26-17:14:54  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-08-26-17:14:02.6199/gtk2-engines-debuginfo-2.20.2-2.fc15.x86_64.rpm
:2011-08-26-17:14:54  Caching files from unpacked.cpio made from gtk2-engines-debuginfo-2.20.2-2.fc15.x86_64.rpm
:2011-08-26-17:15:05  Downloading (3 of 6) cinepaint-debuginfo-0.25.0-0.1.fc15.x86_64.rpm:  45%
:2011-08-26-17:15:15  Downloading (3 of 6) cinepaint-debuginfo-0.25.0-0.1.fc15.x86_64.rpm:  88%
:2011-08-26-17:15:18  Downloading (3 of 6) cinepaint-debuginfo-0.25.0-0.1.fc15.x86_64.rpm: 100%
:2011-08-26-17:15:18  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-08-26-17:14:02.6199/cinepaint-debuginfo-0.25.0-0.1.fc15.x86_64.rpm
:2011-08-26-17:15:18  Caching files from unpacked.cpio made from cinepaint-debuginfo-0.25.0-0.1.fc15.x86_64.rpm
:2011-08-26-17:15:22  Downloading (4 of 6) lcms-debuginfo-1.19-4.fc15.x86_64.rpm: 100%
:2011-08-26-17:15:22  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-08-26-17:14:02.6199/lcms-debuginfo-1.19-4.fc15.x86_64.rpm
:2011-08-26-17:15:22  Caching files from unpacked.cpio made from lcms-debuginfo-1.19-4.fc15.x86_64.rpm
:2011-08-26-17:15:25  Downloading (5 of 6) oyranos-debuginfo-0.2.0-3.fc15.x86_64.rpm: 100%
:2011-08-26-17:15:25  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-08-26-17:14:02.6199/oyranos-debuginfo-0.2.0-3.fc15.x86_64.rpm
:2011-08-26-17:15:25  Caching files from unpacked.cpio made from oyranos-debuginfo-0.2.0-3.fc15.x86_64.rpm
:2011-08-26-17:15:26  Downloading (6 of 6) elektra-debuginfo-0.7.0-6.fc15.x86_64.rpm: 100%
:2011-08-26-17:15:26  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-08-26-17:14:02.6199/elektra-debuginfo-0.7.0-6.fc15.x86_64.rpm
:2011-08-26-17:15:26  Caching files from unpacked.cpio made from elektra-debuginfo-0.7.0-6.fc15.x86_64.rpm
:2011-08-26-17:15:26  Removing /tmp/abrt-tmp-debuginfo-2011-08-26-17:14:02.6199
:2011-08-26-17:15:29  Backtrace is generated and saved, 18038 bytes

var_log_messages:
:Aug 24 19:27:14 desk yum[3169]: Updated: libjpeg-turbo-1.1.1-1.fc15.x86_64
:Aug 24 22:54:01 desk yum[3909]: Installed: mjpegtools-libs-1.9.0-2.fc14.x86_64
:Aug 24 23:59:36 desk yum[5599]: Installed: mjpegtools-1.9.0-2.fc14.x86_64
:Aug 25 10:18:29 desk yum[17063]: Installed: libjpeg-turbo-devel-1.1.1-1.fc15.x86_64
:Aug 25 10:49:50 desk abrt[30144]: saved core dump of pid 30143 (/usr/lib64/cinepaint/0.25.0/plug-ins/jpeg) to /var/spool/abrt/ccpp-2011-08-25-10:49:48-30143.new/coredump (100229120 bytes)
:Aug 25 23:06:31 desk yum[2358]: Installed: libjpeg-turbo-utils-1.1.1-1.fc15.x86_64
:Aug 26 17:13:21 desk abrt[6172]: saved core dump of pid 6171 (/usr/lib64/cinepaint/0.25.0/plug-ins/jpeg) to /var/spool/abrt/ccpp-2011-08-26-17:13:20-6171.new/coredump (100798464 bytes)

xsession_errors:
:Loading plug-in: /usr/lib64/cinepaint/0.25.0/plug-ins/jpeg
:cinepaint (pid:6164): [E]xit, [H]alt, show [S]tack trace or [P]roceed: jpeg.c:101
:/usr/lib64/cinepaint/0.25.0/plug-ins/jpeg

Comment 1 Roman Melihhov 2011-08-26 14:15:58 UTC
Created attachment 520097 [details]
File: maps

Comment 2 Kai-Uwe Behrmann 2011-08-29 10:25:39 UTC
That backtrace at frame 20 looks different from what I obtain with the git version here;
http://www.oyranos.org/scm?p=cinepaint.git;a=blob;f=plug-ins/jpeg/jpeg.c;h=f6c0a05247d562d0cde8500adf86237f690a8777;hb=HEAD#l422

However I tried a 16000x8000 jpeg and it worked flawless on a 8GB machine.
I have no idea about the original image.

Comment 3 Roman Melihhov 2011-08-29 20:06:49 UTC
Package: cinepaint-libs-0.25.0-0.1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
choosing jpg file to open

Comment 4 Dan Haughey 2011-11-14 15:52:26 UTC
Package: cinepaint-libs-0.25.0-0.2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Attempted to open a CMYK Photoshop file as a Thunderbird attachment - crash happened immediately

Comment 5 Nicolas Chauvet (kwizart) 2012-01-16 11:54:01 UTC
Sorry for the long delay.
Can you please reproduce using icc-profiles-openicc package from fedora 15 and later? (currently in updates-testing)
You might want to reproduce on newer fedora, but this will be the same version.

I plan to update cinepaint on f17 ASAP. Eventually, I will support a special repo for F-15 and later.

Thx for your report.

Comment 6 tux.total.kaputt 2012-01-17 16:36:21 UTC
open dicom file (picture)

backtrace_rating: 4
Package: cinepaint-libs-0.25.0-0.2.fc16
OS Release: Fedora release 16 (Verne)

Comment 7 tux.total.kaputt 2012-01-17 16:36:24 UTC
Created attachment 555823 [details]
File: backtrace

Comment 8 Dariusz Garbowski 2012-02-11 01:10:07 UTC
This was the first start of Cinepaint, Once I accepted initial "Install" dialog it opened all windows. Then I selected File -> Open and in the file dialog selected a JPG image. Cinepaint crashed.

backtrace_rating: 4
Package: cinepaint-libs-0.25.0-0.2.fc16
OS Release: Fedora release 16 (Verne)

Comment 9 Dariusz Garbowski 2012-02-11 01:10:15 UTC
Created attachment 561026 [details]
File: backtrace

Comment 10 abrt-bot 2012-03-21 16:53:16 UTC
Backtrace analysis found this bug to be similar to bug #698904, closing as duplicate.

Bugs which were found to be similar to this bug: bug #557069, bug #558532, bug #563004, bug #563851, bug #567040, bug #601302, bug #606167, bug #622133, bug #625842, bug #628107, bug #631979, bug #635621, bug #637382, bug #643623, bug #650530, bug #662904, bug #663872, bug #668201, bug #674439, bug #678960, bug #679611, bug #680203, bug #683562, bug #685001, bug #691236, bug #698904, bug #768016

This comment is automatically generated.

*** This bug has been marked as a duplicate of bug 698904 ***


Note You need to log in before you can comment on or make changes to this bug.